<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DocterOrganization extends Model
{
    protected $table = 'docter_organization';

    //医生类型(1.问诊医生 2.疫苗医生 3.儿保医生)
    public  static $_doct_type = [1=>'门诊医生',2=>'疫苗医生',3=>'儿保医生'];
    public function docter()
    {
        return $this->hasOne(Docter::class,'id','docter_id');
    }

    public function office()
    {
        return $this->hasOne(Office::class,'id','offices_id');
    }

    public function qualification()
    {
        return $this->hasOne(Qualification::class,'id','qualifications_id');
    }


}
