<?php
/**
 * Created by PhpStorm.
 * User: zilongs
 * Date: 20-10-4
 * Time: 下午9:57
 */

namespace App\Http\Controllers\Api\V1;

use App\Models\ServicePack;

class ServicePackController extends AuthController
{
    public function servicePackList()
    {
        $data = ServicePack::orderBy('id', 'desc')->paginate();

        return out($data);
    }

    public function servicePackDetail()
    {
        $req = request()->post();
        $this->validate(request(), [
            'service_pack_id' => 'required|integer'
        ]);

        $data = ServicePack::with('team.docter.office', 'team.docter.qualification')->where('id', $req['service_pack_id'])->first();

        return out($data);
    }
}
